import React from "react"

export function MapIcon(props) {
    return (
        <svg viewBox="0 0 100 100" {...props}>
            <path
                d="M50,16.7c1.8,0,3.3-1.5,3.3-3.3S51.8,10,50,10s-3.3,1.5-3.3,3.3S48.2,16.7,50,16.7L50,16.7z
	 M40,13.3c0,3.5,3.1,8.5,4.7,10.7l5.3,6.7l5.4-6.7C57,22.1,60,16.8,60,13.3c0-5.5-4.5-10-10-10S40,7.8,40,13.3L40,13.3z M42,26
	c-0.6-0.8-5.4-7.3-5.4-12.7C36.7,6,42.6,0,50,0s13.3,6,13.3,13.3c0,4.6-3.6,10.7-5.4,12.8l-6.6,8.3C51,34.8,50.5,35,50,35
	s-1-0.2-1.3-0.6L42,26z M68.3,91.7c0.9,0,1.7-0.7,1.7-1.7V66.3l22.1-6.3c0.9-0.3,1.4-1.2,1.1-2.1c-0.3-0.9-1.2-1.4-2.1-1.1
	l-23.3,6.7c-0.7,0.2-1.2,0.9-1.2,1.6v25C66.7,90.9,67.4,91.7,68.3,91.7L68.3,91.7z M61.7,90c0.9,0,1.7-0.7,1.7-1.7V65
	c0-0.7-0.5-1.4-1.1-1.6l-23.3-7.9c-0.9-0.3-1.8,0.2-2.1,1c-0.3,0.9,0.2,1.8,1,2.1L60,66.2v22.1C60,89.3,60.7,90,61.7,90L61.7,90z
	 M24.5,45.1l-16.7,5c-0.9,0.3-1.4,1.2-1.1,2.1c0.2,0.7,0.9,1.2,1.6,1.2c0.2,0,0.3,0,0.5-0.1l16.7-5c0.9-0.3,1.4-1.2,1.1-2.1
	C26.3,45.3,25.4,44.8,24.5,45.1L24.5,45.1z M31.7,13.3c-0.9,0-1.7,0.7-1.7,1.7v30c0,0.7,0.5,1.4,1.1,1.6l30,10
	c0.2,0.1,0.4,0.1,0.5,0.1c0.3,0,0.7-0.1,1-0.3c0.4-0.3,0.7-0.8,0.7-1.4V30c0-0.9-0.7-1.7-1.7-1.7c-0.9,0-1.7,0.7-1.7,1.7v22.7
	l-26.7-8.9V15C33.3,14.1,32.6,13.3,31.7,13.3L31.7,13.3z M96.7,14.8c-1.6-1.3-3.5-1.8-5.5-1.4l-23.3,6.7c-0.7,0.2-1.2,0.9-1.2,1.6
	V55c0,0.5,0.2,1,0.7,1.3c0.4,0.3,1,0.4,1.5,0.3l23.3-6.7c0.9-0.3,1.4-1.2,1.1-2.1c-0.3-0.9-1.2-1.4-2.1-1.1L70,52.8V22.9l22-6.3
	c1.1-0.2,2.1,0.4,2.6,0.8c1.3,1,2.1,2.7,2.1,4.2V85c0,2.2-1.7,3.7-5.5,5.1l-22.8,6.5L33.3,83.8V55c0-0.5-0.2-1-0.7-1.3
	c-0.4-0.3-1-0.4-1.5-0.3L7.9,60.1c-0.9,0.3-1.4,1.2-1.1,2.1C7,63,7.9,63.5,8.8,63.3L30,57.2V85c0,0.7,0.4,1.3,1.1,1.6l36.7,13.3
	c0.2,0.1,0.4,0.1,0.6,0.1c0.2,0,0.3,0,0.5-0.1l23.4-6.7c2.1-0.8,7.8-2.8,7.8-8.2V21.7C100,19.1,98.7,16.5,96.7,14.8L96.7,14.8z
	 M26.6,86.4c0.3,0.9-0.3,1.8-1.1,2.1L8.8,93.3c-0.5,0.2-1.1,0.2-1.6,0.2c-1.3,0-2.6-0.4-3.7-1.3C1.4,90.6,0,87.8,0,85V21.7
	c0-5.5,5.7-7.5,7.8-8.2l23.4-6.7C32.1,6.5,33,7,33.3,7.9c0.3,0.9-0.3,1.8-1.1,2.1L8.8,16.6C5,18,3.3,19.5,3.3,21.7V85
	c0,1.7,0.9,3.6,2.1,4.5c0.8,0.6,1.6,0.8,2.4,0.5l16.7-4.8C25.4,85.1,26.3,85.6,26.6,86.4L26.6,86.4z"
            />
        </svg>
    )
}
